%bcond_with cdrdao
%bcond_with cdrkit
%bcond_with dvdrwtools

Summary:   Gnome CD/DVD burning application
Name:      brasero
Version:   3.12.3
Release:   4%{?dist}
License:   GPLv3+
URL:       https://wiki.gnome.org/Apps/Brasero
Source0:   https://download.gnome.org/sources/%{name}/3.12/%{name}-%{version}.tar.xz

BuildRequires:  make gcc
BuildRequires:  desktop-file-utils gobject-introspection-devel
BuildRequires:  intltool itstool libappstream-glib yelp-tools
BuildRequires:  nautilus-devel >= 2.22.2 gtk-doc gettext
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0) >= 0.11.92
BuildRequires:  pkgconfig(ice) pkgconfig(libburn-1) >= 0.4.0
BuildRequires:  pkgconfig(libcanberra-gtk3) pkgconfig(gtk+-3.0) >= 2.99.0
BuildRequires:  pkgconfig(libisofs-1) >= 0.6.4 pkgconfig(libnotify) >= 0.7.0
BuildRequires:  pkgconfig(libxml-2.0) >= 2.6.0 pkgconfig(tracker-sparql-3.0)
BuildRequires:  pkgconfig(sm) pkgconfig(totem-plparser) >= 2.29.1

%{?with_dvdrwtools:Requires:  dvd+rw-tools}
%{?with_cdrkit:Requires:  wodim}
%{?with_cdrkit:Requires:  genisoimage}
Requires:  %{name}-libs = %{version}-%{release}
%{?with_cdrkit:Recommends: icedax}

Obsoletes: %{name}-nautilus < %{version}-%{release}

%description
This package provides a GNOME application to burn CD/DVD, designed to be as simple as possible.
It has some unique features to enable users to create their discs easily and quickly.


%package   libs
Summary:   Libraries for %{name}

%description libs
This package provides the runtime shared libraries for %{name}.


%package   devel
Summary:   Headers for developing programs that will use %{name}
Requires:  %{name}-libs = %{version}-%{release}


%description devel
This package provides the static libraries and header files needed for developing brasero 
applications.


%prep
%autosetup -p1


%build
%configure \
        --enable-nautilus \
        --enable-libburnia \
        --enable-search \
        --enable-playlist \
        --enable-preview \
        --enable-inotify \
        %{!?with_cdrdao:--disable-cdrdao} \
        %{!?with_cdrkit:--disable-cdrkit} \
        %{!?with_dvdrwtools:--disable-growisofs} \
        --disable-caches \
        --disable-static
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
%make_build


%install
%make_install
find %{buildroot} -type f -name "*.la" -delete
%find_lang %{name}

appstream-util replace-screenshots %{buildroot}%{_datadir}/metainfo/brasero.appdata.xml \
  https://raw.githubusercontent.com/hughsie/fedora-appstream/master/screenshots-extra/brasero/a.png \
  https://raw.githubusercontent.com/hughsie/fedora-appstream/master/screenshots-extra/brasero/b.png \
  https://raw.githubusercontent.com/hughsie/fedora-appstream/master/screenshots-extra/brasero/c.png 


%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/%{name}.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README
%{_bindir}/*
%{_libdir}/brasero3
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/help/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/mime/packages/*
%{_datadir}/GConf/gsettings/brasero.convert
%{_datadir}/glib-2.0/schemas/org.gnome.brasero.gschema.xml
%{_mandir}/man1/%{name}.*

%files libs
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/*.typelib

%files devel
%doc %{_datadir}/gtk-doc/html/libbrasero-media
%doc %{_datadir}/gtk-doc/html/libbrasero-burn
%doc ChangeLog
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/brasero3
%{_datadir}/gir-1.0/*.gir


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.12.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Jul 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 3.12.3-3
- Rebuilt for gstreamer1-plugins-base 1.22.4

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.12.3-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 4 2023 Wang Guodong <gordonwwang@tencent.com> - 3.12.3-1
- initial build
